Bug 1124702 - [test run] After create a run, system save the new run's estimated_time as null.
Summary: [test run] After create a run, system save the new run's estimated_time as null.
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Yang Ren
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 06:48 UTC by yangqiu
Modified: 2018-07-04 21:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
[test run] After create a run, system save the new run's estimated_time as null. (156.34 KB, image/jpeg)
2014-07-30 06:48 UTC, yangqiu
no flags Details

Description yangqiu 2014-07-30 06:48:49 UTC
Created attachment 922435 [details]
[test run] After create a run, system save the new run's estimated_time as null.

Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.There are case1 with estimated_time '1d1h1m' and case2 with estimated_time '2d2h2m' in the same test plan.
2.Checked the two cases, the create a new run.
3.Inspect the default estimated_time for new run in create run page.
4.Save the new run, inspect estimated_time in the run detail page. 

Actual results:
In create new run page, system show estimated_time as '270180'.
In new run detail page, system show estimated_time as null, the value is 0 in table test_runs.

Expected results:
In create new run page, system show estimated_time as '3d3h3m'.
In new run detail page, system show estimated_time as '3d3h3m'.

Additional info:

Comment 1 yangqiu 2014-08-04 08:05:05 UTC
verify this bug on v3.8.10-1 on devel server.---Pass
verify steps are same as description.


Note You need to log in before you can comment on or make changes to this bug.